source: qesdi/graphplotter/trunk/setup.py @ 6311

Subversion URL: http://proj.badc.rl.ac.uk/svn/ndg/qesdi/graphplotter/trunk/setup.py@6311
Revision 6311, 967 bytes checked in by pnorton, 11 years ago (diff)

First version of graphplotter.

Line 
1try:
2    from setuptools import setup, find_packages
3except ImportError:
4    from ez_setup import use_setuptools
5    use_setuptools()
6    from setuptools import setup, find_packages
7
8setup(
9    name='graphplotter',
10    version='0.1',
11    description='',
12    author='',
13    author_email='',
14    url='',
15    install_requires=[
16        "Pylons>=0.9.7",
17        "Genshi>=0.4",
18    ],
19    setup_requires=["PasteScript>=1.6.3"],
20    packages=find_packages(exclude=['ez_setup']),
21    include_package_data=True,
22    test_suite='nose.collector',
23    package_data={'graphplotter': ['i18n/*/LC_MESSAGES/*.mo']},
24    #message_extractors={'graphplotter': [
25    #        ('**.py', 'python', None),
26    #        ('public/**', 'ignore', None)]},
27    zip_safe=False,
28    paster_plugins=['PasteScript', 'Pylons'],
29    entry_points="""
30    [paste.app_factory]
31    main = graphplotter.config.middleware:make_app
32
33    [paste.app_install]
34    main = pylons.util:PylonsInstaller
35    """,
36)
Note: See TracBrowser for help on using the repository browser.